import { FetchHelper } from '../../../globals/FetchHelper';
import { ProxioPriceGroupi18n, ProxioPriceListGroupResponse, ProxioProduct, ProductWeightGroupListItem } from './types';
export declare class PnProxioPricegroup {
    /** Specifies which endpoint domain we should load from */
    endpoint: string;
    language: string;
    market: string;
    tariffid: string;
    cache: boolean;
    activeWeightIndex: number;
    data: ProxioPriceListGroupResponse;
    i18n: ProxioPriceGroupi18n;
    fetchHelper: FetchHelper;
    componentWillLoad(): void;
    setInitialValues(href?: string): Promise<void>;
    init(): void;
    fetchData(): Promise<void>;
    onFetchData(data: any): void;
    setActiveWeightIndex(weightIndex: number): void;
    setLanguage(): void;
    getPriceString(product: ProxioProduct): string;
    getProductLink(product: ProxioProduct, productWeightGroupList: ProductWeightGroupListItem[]): string;
    isActive(index: number): boolean;
    getCarouselPosition(index: number): 0 | 1 | 2 | -1 | -2 | "outside";
    getContainerPosition(): "default" | "end50" | "end75" | "start75" | "start50";
    render(): any;
}
